Summary: Eclipse Compiler for Java
Name: ecj
Version: 2.1.3
Release: 5.XOS.1
URL: http://www.eclipse.org/
Source: %{name}-%{version}.tar.bz2
License: IBM Common Public License
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: katana-build >= 2.0.0
BuildPrereq: gcc-java >= 3.4
Prereq: katana >= 2.0.0
Requires: libgcj

%description
Ecj is the Java bytecode compiler of the Eclipse Project.

%prep
%setup -q

%build
pushd plugins/org.eclipse.jdt.core
for f in `find batch -name '*.java' -or -name '*.properties'`; do
    g=`echo $f | sed 's:^batch/:compiler/:' | xargs dirname`
    [ -d $g ] || mkdir -p $g
    cp -a $f $g
done
cd compiler
for f in `find -name '*.java' | cut -c 3-`; do
    gcj -Wno-deprecated -C $f
done
find -name '*.class' -or -name '*.properties' -or -name '*.rsc' |\
    xargs jar cf ../../../%{name}-%{version}.jar
popd
ln -s %{name}-%{version}.jar %{name}.jar 

katana %{name}-%{version}.jar

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/java
cp -a *.jar $RPM_BUILD_ROOT%{_datadir}/java

mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -a *.so $RPM_BUILD_ROOT%{_libdir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/katana
cp -a *.cp $RPM_BUILD_ROOT%{_datadir}/katana

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc plugins/org.eclipse.jdt.core/about.html
%{_libdir}/*.so
%{_datadir}/java/*.jar
%{_datadir}/katana/*.cp

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 2.1.3-5.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on ecj-2.1.3-5.src.rpm
  (md5sum of original source rpm: 4cc6f3e3ddc147121f3e9e25ad744797).

* Mon Sep 27 2004 Gary Benson <gbenson@redhat.com> 2.1.3-5
- Rebuild with new katana.

* Fri Jul 22 2004 Gary Benson <gbenson@redhat.com> 2.1.3-4
- Build without bootstrap-ant.
- Split out lib-org-eclipse-jdt-internal-compiler.so.

* Tue Jul  6 2004 Gary Benson <gbenson@redhat.com> 2.1.3-3
- Fix ecj-devel's dependencies.

* Wed Jun  9 2004 Gary Benson <gbenson@redhat.com> 2.1.3-2
- Work around an optimiser failure somewhere in ecj or gcj (#125613).

* Fri May 28 2004 Gary Benson <gbenson@redhat.com>
- Build with katana.

* Mon May 24 2004 Gary Benson <gbenson@redhat.com> 2.1.3-1
- Initial Red Hat Linux build.

* Mon May 24 2004 Gary Benson <gbenson@redhat.com>
- Upgraded to latest version.

* Sun Jul 20 2003 Anthony Green <green@redhat.com>
- Add %doc

* Fri Jul 18 2003 Anthony Green <green@redhat.com>
- Initial RHUG build.
